Bug 8146 - Bug in configure.in (and configure too), test with == rather than =
Bug in configure.in (and configure too), test with == rather than =
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Build environment
3.6.8
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 14:49 UTC by Joachim Schmitz
Modified: 2012-09-18 06:35 UTC (History)
0 users

See Also:


Attachments
same patch in git format (1.12 KB, patch)
2012-09-14 18:12 UTC, Björn Jacke
bjacke: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Schmitz 2011-05-18 14:49:51 UTC
There's a new bug in rc1, in configure.in and consequently configure too, test with == rather than =

Fix:
--- ./source3/configure.in.orig 2011-05-17 03:04:37.000000000 -0500
+++ ./source3/configure.in      2011-05-18 06:56:53.000000000 -0500
@@ -2101,7 +2109,7 @@
 if test "x$enable_external_libtalloc" = xno
 then
        m4_include(../lib/talloc/libtalloc.m4)
-       if test x"$USESHARED" == x"no" ; then
+       if test x"$USESHARED" = x"no" ; then
                LINK_LIBTALLOC=STATIC
        fi
        LIBTALLOCVERSION=`grep ^VERSION ${tallocdir}/wscript | sed -e "s/'//g" -e 's/.* //'`
@@ -2142,7 +2150,7 @@
 if test "x$enable_external_libtdb" = xno
 then
        m4_include(../lib/tdb/libtdb.m4)
-       if test x"$USESHARED" == x"no" ; then
+       if test x"$USESHARED" = x"no" ; then
                LINK_LIBTDB=STATIC
        fi
        LIBTDBVERSION=`grep ^VERSION ${tdbdir}/wscript | sed -e "s/'//g" -e 's/.* //'`
diff -u ./source3/configure.orig ./source3/configure
--- ./source3/configure.orig    2011-05-17 03:23:57.000000000 -0500
+++ ./source3/configure 2011-05-18 06:57:02.000000000 -0500
@@ -20139,7 +20165,7 @@

 fi

-       if test x"$USESHARED" == x"no" ; then
+       if test x"$USESHARED" = x"no" ; then
                LINK_LIBTALLOC=STATIC
        fi
        LIBTALLOCVERSION=`grep ^VERSION ${tallocdir}/wscript | sed -e "s/'//g" -e 's/.* //'`
@@ -20476,7 +20502,7 @@

 fi

-       if test x"$USESHARED" == x"no" ; then
+       if test x"$USESHARED" = x"no" ; then
                LINK_LIBTDB=STATIC
        fi
        LIBTDBVERSION=`grep ^VERSION ${tdbdir}/wscript | sed -e "s/'//g" -e 's/.* //'`
Comment 1 Joachim Schmitz 2011-05-18 14:55:16 UTC
The line numbers mentioned above are incorrect, as I had other modifications to configre.in and configure...
Comment 2 Björn Jacke 2012-09-14 18:12:00 UTC
Created attachment 7896 [details]
same patch in git format

this is obviously correct. Karo, we should pick that to 3.6.
Comment 3 Karolin Seeger 2012-09-18 06:35:39 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!